/*background-color:rgb(255,155,115);*/
html, body{
    width:100%;
    height:100%;
    margin:0px;
    padding:0px;
    box-sizing: border-box;
}

/*a, button {
    font-family: 'Montserrat', sans-serif;
}*/

nav {
    display:flex;
    justify-content: space-around;
    align-items: center;
    height:8vh;
    background-color:rgb(255,255,255);
    z-index: 0;
}

.logo {
    font-family: 'Cinzel', serif; 
    letter-spacing: 5px;
    font-size:18px;
    
}

.rankings a {
    color:rgb(255,155,115);
    text-decoration: none;
    font-family:'Montserrat', sans-serif;
    font-weight:bold;
    letter-spacing: 3px;
    font-size:14px;
    cursor: pointer;
    margin: auto;
}

.about-us a {
    color:rgb(255,155,115);
    text-decoration: none;
    font-family:'Montserrat', sans-serif;
    font-weight:bold;
    letter-spacing: 3px;
    font-size:14px;
    cursor: pointer;
    margin: auto;
    white-space: nowrap;
}

.rankings a:hover {
   color: rgb(255,60,60); 
}

.about-us a:hover {
   color: rgb(255,60,60); 
}

.nav-buttons, .rankings-a, .about-a {
    display:flex;
    justify-content:space-around;
    align-items: center;
    width:50%;
}

.game-nav-buttons {
    display:flex;
    justify-content:space-around;
    align-items: center;
    width:30%;
} 

.game, .forum, .login {
    position: relative;
}

.game ul, .forum ul, .login ul {
    position: absolute;
    margin-top: 25px;
    width: 160px;
    height: 200px;
    display: flex;
    flex-direction: column;
    background: rgb(255,255,255);
    z-index: 1;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    list-style: none;
    padding-left: 0px;
    opacity: 0;
    pointer-events: none;
    transform: translateY(-20px);
    transition: all 0.4s ease;
}

.game a, .forum a, .login a {
    color:rgb(100,100,100);
    text-decoration: none;
    font-family:'Montserrat', sans-serif;
    font-weight:bold;
    letter-spacing: 1px;
    font-size:12px;
}

.nav-buttons button {
    background: none;
    border: none;
    color: rgb(255,155,115);
    font-family:'Montserrat', sans-serif;
    font-weight:bold;
    letter-spacing: 3px;
    font-size:14px;
    cursor: pointer;
}

.game-nav-buttons button {
    background: none;
    border: none;
    color: rgb(255,155,115);
    font-family:'Montserrat', sans-serif;
    font-weight:bold;
    letter-spacing: 3px;
    font-size:14px;
    cursor: pointer;
}

.nav-buttons button:focus + ul{
    opacity: 1;
    pointer-events: all;
    transform: translateY(0);
}

.game-nav-buttons button:focus + ul{
    opacity: 1;
    pointer-events: all;
    transform: translateY(0);
}

.nav-buttons button:hover {
    color: rgb(255,60,60);
}

.game-nav-buttons button:hover {
    color: rgb(255,60,60);
}

.rankings, .forum, .options, .login {
    visibility: visible;
}
 

.game li, .forum li, .login li {
    height: 100%;
    width: 100%;
    cursor: pointer;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.game li:hover, .forum li:hover, .login li:hover {
    background-color: rgb(255,240,180);
}

.burger {
    display:none;
    cursor:pointer;
}

.burger div{
    width:23px;
    height:3px;
    margin:5px;
    background-color: rgb(255,155,115);
    transition: all 0.3s ease;
}

/* RESPONSIVE DESIGN */

@media screen and (max-width:1200px){
    .logo {
       letter-spacing: 5px;
       font-size:17px;
    
    }
    
    .nav-buttons, .rankings-a, .about-a {
        width:60%;
    }
    
    .nav-buttons button, .rankings a, .about-us a {
        font-weight:bold;
        letter-spacing: 2px;
        font-size:12px
    }
}

@media screen and (max-width:1000px){
    .logo {
       font-family: 'Cinzel', serif; 
       letter-spacing: 3px;
       font-size:15px;
    
    }
    
    .nav-buttons, .rankings-a, .about-a {
        width:60%;
    }
    
    .nav-buttons button, .rankings a, .about-us a {
        font-weight:bold;
        letter-spacing: 2px;
        font-size:11px
    }
}

@media screen and (max-width:900px){
    .logo{
       letter-spacing: 2px;
       font-size:13px;
    
    }
    
    .nav-buttons, .rankings-a, .about-a {
        width:60%;
    }
    
    .nav-buttons button, .rankings a, .about-us a {
        font-weight:bold;
        letter-spacing: 1px;
        font-size:10px;
    }
}


@media screen and (max-width:800px){
    body{
        overflow-x:hidden;
    }
    
    .nav-buttons {
        position:absolute;
        right:0px;
        height:92vh;
        top:5.2vh;
        display:flex;
        flex-direction:column;
        align-items: center;
        background-color:rgb(255,255,255);
        width:40%;
        transform:translateX(100%);
        transition: transform 0.5s ease-in;
        z-index: 1;
    }
    
    .nav-buttons {
        opacity:1;
    }
    
    .burger{
        display:block;
    }
}

.nav-active {
    transform:translateX(0%);
}

@keyframes navLinkFade{
    from{
       opacity:0;
       transform:translateX(50px);
    }
    to{
        opacity:1;
        transform:translateX(0px);
    }
}

.toggle .line1{
    transform: rotate(-45deg) translate(-5px, 6px);
}
.toggle .line2{
    opacity:0;
}
.toggle .line3{
    transform: rotate(45deg) translate(-5px, -6px);
}